"""Make a compressed .tar archive
of the .zarr files generated by
running src/scripts/prep-all.sh.
The nox session 'prep-pcb-dataset'
runs that script, and this script is
run by the session 'tar-pcb-dataset'.
"""
import pathlib
import shutil


RESULTS_ROOT = pathlib.Path('./results')
PREPD_SONG_DATA_ROOT = RESULTS_ROOT / 'pcb_data/song_data'


# --- main script ----
print(
    f'making archive from {PREPD_SONG_DATA_ROOT}'
)
shutil.make_archive(
    './results/pcb_data/song_data/pcb-prep',
    'gztar',
    root_dir=RESULTS_ROOT,
    # specify `base_dir` since we only want to archive song_data
    base_dir="pcb_data/song_data",  # needs to be written relative to root
)


print(
    "Done preparing generated data for tests."
)
